import 'package:dirt_arch/dirt_arch.dart';
import 'package:flutter/material.dart';

import 'model/sample_model.dart';
import 'model/sample_model.dart';

class PageTwo extends StatefulWidget {
  final int id;

  const PageTwo({Key key, this.id}) : super(key: key);

  @override
  _PageTwopState createState() => _PageTwopState();
}

class _PageTwopState extends State<PageTwo> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Detalhes"),
      ),
      body: GetWidget<SampleModel>(
        url: "https://jsonplaceholder.typicode.com/posts/${widget.id}",
        fromMap: (json) => SampleModel.fromMap(json),
        builder: (data) {
          return Padding(
            padding: const EdgeInsets.all(15),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text("${data.id}"),
                Text(data.title),
                Text("${data.userId}"),
                Text("${data.completed}"),
              ],
            ),
          );
        },
      ),
    );
  }
}
